package i382;

import java.io.*;
import java.net.*;

/**
 * <p>Title: Rezervan kancel</p>
 * <p>Description: Rezervan kancel po internetu</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Jan Dolezel
 * @version 1.0
 * Server application arranging communication between clients and database
 * @see Clerk
 * @see DB
 */

public class ServerSide extends Thread {

  private int port;
  private ServerSocket listen_socket;

  /**
   * Create a ServerSocket to listen for connections on
   * Start the thread
   * @param port Number of port where to listen
   */

  public ServerSide(int port) {
    this.port = port;
    try {
      listen_socket = new ServerSocket(port);
    }
    catch (IOException e) {
      System.out.println("Socket failed");
    }
    System.out.println("Server ready:"+
                       "\n   on address "+  listen_socket.getInetAddress() +
                       "\n   listening on port=" + listen_socket.getLocalPort());
    this.start();
  }

  public static void main(String[] args) {
    ServerSide serverSide1 = new ServerSide(6789);
  }

  /**
   * Creates Clerks
   * @see Clerk
   */
  public void run() {
    try {
      while(true) {
        Socket client_socket = listen_socket.accept();
        new Clerk(client_socket);
      }
    } catch (IOException e) { System.out.println("Accept failed");}
  }
}